__gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >(3cxx)

NAME
__gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >

SYNOPSIS

Inherits std::binary_function< _T1, _T2, bool >.

  Public Types

typedef _T1 first_argument_type
typedef bool result_type
typedef _T2 second_argument_type

  Public Member Functions

_EqualFromLess (_Compare &__comp)
bool operator() (const _T1 &__a, const _T2 &__b)

Detailed Description

  template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >" Constructs predicate for equality from strict weak ordering predicate.

Definition at line 157 of file parallel/base.h.

Member Typedef Documentation

  typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  typedef bool std::binary_function< _T1 , _T2 , bool >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.